summaryrefslogtreecommitdiff
path: root/extra/nedit
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/nedit
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/nedit')
-rw-r--r--extra/nedit/ChangeLog5
-rw-r--r--extra/nedit/PKGBUILD30
-rw-r--r--extra/nedit/nedit_xorg_composite_fix.patch18
3 files changed, 53 insertions, 0 deletions
diff --git a/extra/nedit/ChangeLog b/extra/nedit/ChangeLog
new file mode 100644
index 000000000..f7e102118
--- /dev/null
+++ b/extra/nedit/ChangeLog
@@ -0,0 +1,5 @@
+2009-07-29 Eric Belanger <eric@archlinux.org>
+
+ * nedit 5.5-5
+ * FHS man pages
+ * Added ChangeLog
diff --git a/extra/nedit/PKGBUILD b/extra/nedit/PKGBUILD
new file mode 100644
index 000000000..8cf610d95
--- /dev/null
+++ b/extra/nedit/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 47944 2009-07-29 19:36:14Z eric $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk> and Dale Blount <dale@archlinux.org>
+
+pkgname=nedit
+pkgver=5.5
+pkgrel=5
+pkgdesc="A Unix text editor for programmers and general users"
+arch=('i686' 'x86_64')
+url="http://www.nedit.org/"
+license=('GPL')
+depends=('lesstif' 'libxpm')
+source=(http://www.nedit.org/ftp/v5_5/${pkgname}-${pkgver}-src.tar.bz2 nedit_xorg_composite_fix.patch)
+md5sums=('48cb3dce52d44988f3a4d7c6f47b6bbe' 'ae1f56ae9b23163882051720ac52412d')
+sha1sums=('7d3c87a793a5047cf857af1ac82e39f3b33e8a87' '1f6c75075a6bdc7b0dd8ca89d8117d68af8fc54e')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -p1 < ../nedit_xorg_composite_fix.patch || return 1
+ sed -i 's/-Wl,-Bstatic//' makefiles/Makefile.linux || return 1
+ sed -i 's|fgets|//fgets|' util/check_lin_tif.c || return 1
+ sed -i "s/CFLAGS=-O/CFLAGS=${CFLAGS} -DBUILD_UNTESTED_NEDIT/" makefiles/Makefile.linux || return 1
+ sed -i 's|"/bin/csh"|"/bin/sh"|' source/preferences.c || return 1
+
+ make linux || return 1
+ install -D -m755 source/nedit "${pkgdir}/usr/bin/nedit" || return 1
+ install -D -m755 source/nc "${pkgdir}/usr/bin/nedit-client" || return 1
+ install -D -m644 doc/nedit.man "${pkgdir}/usr/share/man/man1/nedit.1" || return 1
+ install -D -m644 doc/nc.man "${pkgdir}/usr/share/man/man1/nedit-client.1" || return 1
+}
diff --git a/extra/nedit/nedit_xorg_composite_fix.patch b/extra/nedit/nedit_xorg_composite_fix.patch
new file mode 100644
index 000000000..0ed0465a8
--- /dev/null
+++ b/extra/nedit/nedit_xorg_composite_fix.patch
@@ -0,0 +1,18 @@
+--- nedit-5.5/util/misc.c.orig 2007-12-03 21:57:15.000000000 +0000
++++ nedit-5.5/util/misc.c 2007-12-03 21:59:30.000000000 +0000
+@@ -475,6 +475,15 @@
+ bestClass = 0;
+ bestVisual = 0;
+ for (i=0; i < nVis; i++) {
++ if (visList[i].depth >= 32 &&
++ strstr(ServerVendor(display), "X.Org") != 0) {
++ /* Xorg 6.8.* 32-bit visuals (with alpha-channel) cause a lot
++ of problems, so we have to skip them.
++ Users can achieve the same effect with older versions of
++ NEdit by setting the environment variable
++ XLIB_SKIP_ARGB_VISUALS. */
++ continue;
++ }
+ if (visList[i].depth > maxDepth) {
+ maxDepth = visList[i].depth;
+ bestClass = 0;